IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TSEVKNEDENI]') AND type in (N'U'))
DROP TABLE [dbo].[TSEVKNEDENI]

GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TSEVKNEDENI]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[TSEVKNEDENI](
	[SEVKNEDENID] [int] NOT NULL,
	[SEVKNEDENADI] [nvarchar](100) NOT NULL,
	[PASIF] [bit] NOT NULL
) ON [PRIMARY]	
END
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'DF_TSEVKNEDENI_PASIF') AND type in (N'D'))
BEGIN
	ALTER TABLE [dbo].[TSEVKNEDENI] ADD  CONSTRAINT [DF_TSEVKNEDENI_PASIF]  DEFAULT ((0)) FOR [PASIF]
END

GO
IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 1 AND SEVKNEDENADI = 'UZMAN HEKIM IHTIYACI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(1,'HEKİM İHTİYACI NEDENİYLE')
ELSE
	UPDATE TSEVKNEDENI  SET SEVKNEDENADI='HEKİM İHTİYACI NEDENİYLE' WHERE SEVKNEDENID=1
 
IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 2 AND SEVKNEDENADI = 'AMPUTASYON-REPLANTASYON') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI,PASIF) VALUES(2,'AMPUTASYON-REPLANTASYON',1)
ELSE
	UPDATE TSEVKNEDENI  SET PASIF=1 WHERE SEVKNEDENID=2

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 3 AND SEVKNEDENADI = 'DİĞER') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(3,'DİĞER')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 4 AND SEVKNEDENADI = 'ILERI ÖZELLEŞMIŞ HEKIM IHITYACI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI,PASIF) VALUES(4,'ILERI ÖZELLEŞMIŞ HEKIM IHITYACI',1)	
ELSE
	UPDATE TSEVKNEDENI  SET PASIF=1 WHERE SEVKNEDENID=4

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 5 AND SEVKNEDENADI = 'ORGAN NAKLI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(5,'ORGAN NAKLİ SEBEBİYLE')
ELSE
	UPDATE TSEVKNEDENI  SET SEVKNEDENADI='ORGAN NAKLİ SEBEBİYLE' WHERE SEVKNEDENID=5

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 6 AND SEVKNEDENADI = 'HASTA ISTEĞI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI,PASIF) VALUES(6,'HASTA ISTEĞI',1)
ELSE
	UPDATE TSEVKNEDENI  SET PASIF=1 WHERE SEVKNEDENID=6

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 7 AND SEVKNEDENADI = 'TIBBI EKIPMAN IHTIYACI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(7,'TIBBİ EKİPMAN EKSİKLİĞİ')
ELSE
	UPDATE TSEVKNEDENI  SET SEVKNEDENADI='TIBBİ EKİPMAN EKSİKLİĞİ' WHERE SEVKNEDENID=7

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 8 AND SEVKNEDENADI = 'YAN DAL UZMAN HEKIM IHTIYACI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI,PASIF) VALUES(8,'YAN DAL UZMAN HEKIM IHTIYACI',1)
ELSE
	UPDATE TSEVKNEDENI  SET PASIF=1 WHERE SEVKNEDENID=8

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 9 AND SEVKNEDENADI = 'YOĞUN BAKIM IHTIYACI	') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI,PASIF) VALUES(9,'YOĞUN BAKIM IHTIYACI',1)
ELSE
	UPDATE TSEVKNEDENI  SET PASIF=1 WHERE SEVKNEDENID=9	

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 10 AND SEVKNEDENADI = 'YANIK ÜNITESI IHTIYACI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI,PASIF) VALUES(10,'YANIK ÜNITESI IHTIYACI',1)
ELSE
	UPDATE TSEVKNEDENI  SET PASIF=1 WHERE SEVKNEDENID=10

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 11 AND SEVKNEDENADI = 'BOŞ YER OLMAMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI,PASIF) VALUES(11,'BOŞ YER OLMAMASI',1)
ELSE
	UPDATE TSEVKNEDENI  SET PASIF=1 WHERE SEVKNEDENID=11

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 12 AND SEVKNEDENADI = 'HASTANEDE ÖZELLİKLİ BİRİMİNİN OLMAMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(12,'HASTANEDE ÖZELLİKLİ BİRİMİNİN OLMAMASI')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 13 AND SEVKNEDENADI = 'HASTANEDE TESTİN(LABORATUVAR) YAPILMAMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(13,'HASTANEDE  TESTİN (LABORATUVAR TETKİKİ) YAPILMAMASI')
ELSE
	UPDATE TSEVKNEDENI  SET SEVKNEDENADI='HASTANEDE  TESTİN (LABORATUVAR TETKİKİ) YAPILMAMASI' WHERE SEVKNEDENID=13

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 14 AND SEVKNEDENADI = 'HEKİMİN İZİNLİ/RAPORLU/GEÇİCİ GÖREVDE OLMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(14,'HEKİMİN İZİNLİ/RAPORLU/GEÇİCİ GÖREVDE OLMASI')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 15 AND SEVKNEDENADI = 'İLGİLİ BRANŞ HEKİMİNİN BULUNMAMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(15,'İLGİLİ BRANŞ HEKİMİNİN BULUNMAMASI')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 16 AND SEVKNEDENADI = 'YOĞUN BAKIM DOLULUĞU') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(16,'YOĞUN BAKIM DOLULUĞU')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 17 AND SEVKNEDENADI = 'KLİNİK YATAK (YATAKLI SERVİSİN) DOLULUĞU') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(17,'KLİNİK YATAK (YATAKLI SERVİSİN) DOLULUĞU')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 18 AND SEVKNEDENADI = 'HASTANEDE ÖZELLİKLİ BİRİMİN DOLULUĞU') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(18,'HASTANEDE ÖZELLİKLİ BİRİMİN DOLULUĞU')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 19 AND SEVKNEDENADI = 'YOĞUN BAKIM OLMAMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(19,'YOĞUN BAKIM OLMAMASI')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 20 AND SEVKNEDENADI = 'İLGİLİ KLİNİĞİN (YATAKLI SERVİSİN) BULUNMAMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(20,'İLGİLİ KLİNİĞİN (YATAKLI SERVİSİN) BULUNMAMASI')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 21 AND SEVKNEDENADI = 'TAKİPLİ HASTA') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(21,'TAKİPLİ HASTA')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 22 AND SEVKNEDENADI = 'HASTANIN İSTEĞİ ÜZERİNE') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(22,'HASTANIN İSTEĞİ ÜZERİNE')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 30 AND SEVKNEDENADI = 'ILERI MERKEZE SEVK (YENIDOĞAN NAKIL)') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(30,'ILERI MERKEZE SEVK (YENIDOĞAN NAKIL)')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 31 AND SEVKNEDENADI = 'CERRAHI MERKEZE SEVK (YENIDOĞAN NAKIL)') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(31,'CERRAHI MERKEZE SEVK (YENIDOĞAN NAKIL)')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 32 AND SEVKNEDENADI = 'GERI MERKEZE SEVK (YENIDOĞAN NAKIL)') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(32,'GERI MERKEZE SEVK (YENIDOĞAN NAKIL)')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 33 AND SEVKNEDENADI = 'KONSÜLTASYON (YENIDOĞAN NAKIL)') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(33,'KONSÜLTASYON (YENIDOĞAN NAKIL)')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 34 AND SEVKNEDENADI = 'GÖRÜNTÜLEME (YENIDOĞAN NAKIL)') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(34,'GÖRÜNTÜLEME (YENIDOĞAN NAKIL)')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 35 AND SEVKNEDENADI = 'BİR ALT SEVİYE YOĞUN BAKIMA SEVK') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(35,'BİR ALT SEVİYE YOĞUN BAKIMA SEVK')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 36 AND SEVKNEDENADI = 'BİR ÜST SEVİYE YOĞUN BAKIMA SEVK') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(36,'BİR ÜST SEVİYE YOĞUN BAKIMA SEVK')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 37 AND SEVKNEDENADI = 'AYNI SEVİYE YOĞUN BAKIMA SEVK') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(37,'AYNI SEVİYE YOĞUN BAKIMA SEVK')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 38 AND SEVKNEDENADI = 'SERVİSE SEVK') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(38,'SERVİSE SEVK')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 39 AND SEVKNEDENADI = 'GÖRÜNTÜLEME /CİHAZ BULUNMAMASI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(39,'GÖRÜNTÜLEME /CİHAZ BULUNMAMASI')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 40 AND SEVKNEDENADI = 'TIBBİ TEKNİK ARIZA') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(40,'TIBBİ TEKNİK ARIZA')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 41 AND SEVKNEDENADI = 'İLGİLİ HİZMET UNSURLARININ TADİLATI') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(41,'İLGİLİ HİZMET UNSURLARININ TADİLATI')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 42 AND SEVKNEDENADI = 'GERİYE SEVK') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(42,'GERİYE SEVK')

IF NOT EXISTS (SELECT * FROM TSEVKNEDENI WHERE SEVKNEDENID = 43 AND SEVKNEDENADI = 'EVE NAKİL') 
	INSERT INTO TSEVKNEDENI (SEVKNEDENID,SEVKNEDENADI) VALUES(43,'EVE NAKİL')





